Page MenuHomePhabricator

blockreview.py script is using non-existent logpages()
Closed, ResolvedPublic

Description

In pywikibot-core, scripts/blockreview.py is calling site.logpages(), which was removed in core, here. It seems this just needs to be replaced by site.logevents() with the parameters changed around.

Event Timeline

Daviskr created this task.Dec 10 2014, 2:06 AM
Daviskr raised the priority of this task from to Normal.
Daviskr updated the task description. (Show Details)
Daviskr added a project: Pywikibot.
Daviskr changed Security from none to None.
Daviskr added a subscriber: Daviskr.

Change 216607 had a related patch set uploaded (by Ladsgroup):
Use site.logevents() instead of site.logpages() in blockreview.py

https://gerrit.wikimedia.org/r/216607

Xqt claimed this task.Jun 13 2015, 3:41 PM

Change 216412 had a related patch set uploaded (by Xqt):
[IMPROV] use CurrentPageBot class, some other improvements

https://gerrit.wikimedia.org/r/216412

Change 216607 abandoned by Ladsgroup:
Use site.logevents() instead of site.logpages() in blockreview.py

Reason:
In favor of Id729e5f7

https://gerrit.wikimedia.org/r/216607

Change 236733 had a related patch set uploaded (by John Vandenberg):
Add deprecated Site.logpages; add tag to logevents

https://gerrit.wikimedia.org/r/236733

Change 236733 merged by jenkins-bot:
Add deprecated Site.logpages; add tag to logevents

https://gerrit.wikimedia.org/r/236733

Xqt closed this task as Resolved.Jan 24 2016, 7:34 AM
Xqt reassigned this task from Xqt to jayvdb.
Xqt added a subscriber: Xqt.

I guess this task can be closed because the problem is fixed with John's patch. The other improvement is an other improvement.